import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getlabels(hours: string) {
	return queryOptions({
		queryKey: ["labels"],
		queryFn: () => fetchSettings(hours),

		//staleTime: 1000,
		refetchInterval: 2 * 2000,
		refetchOnWindowFocus: true,
	});
}

const fetchSettings = async (hours: string) => {
	const { data } = await axios.get(`/lst/old/api/ocp/getlabels?hours=${hours}`);
	// if we are not localhost ignore the devDir setting.
	//const url: string = window.location.host.split(":")[0];
	return data.data ?? [];
};
